> For the complete documentation index, see [llms.txt](https://developers.shopbase.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.shopbase.com/tutorial/manage-orders-and-shipping/get-a-country-field-using-admin-api.md).

# Get a country field using Admin API

This guide explains how to use the Admin API to return a country field collected during checkout.

## Access scopes

To use the Admin API to access the information collected in the checkout, your app needs to request the `read_order` access scope for a ShopBase store. For more information on requesting access scopes when your app is installed, see [API Access Scopes](https://developers.shopbase.com/build-an-app-tutorial/making-your-first-request/authentication/api-access-scopes)

## Collect a country field on the checkout

For this tutorial, you'll set the address of your shop to Brazil (since Brazilian merchants are required to collect a tax ID for government invoicing) and then complete checkout from your storefront:

1. Set the address of your shop to Brazil. Remember to change your address back when you've completed the tutorial.

![](https://i.imgur.com/GSMwVOq.gif)

1. From your storefront, add a product to your cart and then complete a checkout.
2. Complete the checkout.

## Get the country field for an order

To get the client country code, use the ShopBase Admin API to retrieve the order.

**GET** `https://shop-name.onshopbase.com/admin/orders/{order_id}.json`

**SAMPLE RESPONSE**

```
{
   "order":{
        ...     
      "additional_information":null,
      "allow_refund":false,
      "client_country_code":"BR",
      ...
      "total_line_items_discount":0,
      "total_line_items_price":200,
      "total_price":200,
      "total_quantity":2,
      "total_tax":0,
      "total_weight":0,
      "total_weight_in_gram":0,
      "transaction_id":0,
      ...
   }
}
```

## Additional information

For additional information on editing orders, refer to the [Admin API reference](http://api-doc.shopbase.com/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.shopbase.com/tutorial/manage-orders-and-shipping/get-a-country-field-using-admin-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
